Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::action::transform_fn Struct Reference

## Synopsis of methods
constexpr action< transform_fn > | transform {}

## Public Member Functions
template<typename Rng , typename F , typename P = identity>
auto | operator() (Rng &&rng, F fun, P proj=P{}) const -> Rng requires input_range< Rng > &&copy_constructible< F > &&writable< iterator_t< Rng >, indirect_result_t< F &, projected< iterator_t< Rng >, P >>>